
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>phenotastic &#8212; Phenotastic 0.3.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />

    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>

    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="phenotastic package" href="phenotastic.html" />
    <link rel="prev" title="Usage" href="usage.html" />
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="phenotastic.html" title="phenotastic package"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="usage.html" title="Usage"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Phenotastic 0.3.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">phenotastic</a></li>
      </ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">

  <section id="phenotastic">
<h1>phenotastic<a class="headerlink" href="#phenotastic" title="Permalink to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="phenotastic.html">phenotastic package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="phenotastic.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="phenotastic.html#module-phenotastic.domains">phenotastic.domains module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.border"><code class="docutils literal notranslate"><span class="pre">border()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.boundary_indices"><code class="docutils literal notranslate"><span class="pre">boundary_indices()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.define_meristem"><code class="docutils literal notranslate"><span class="pre">define_meristem()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.domain_neighbors"><code class="docutils literal notranslate"><span class="pre">domain_neighbors()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.extract_domain"><code class="docutils literal notranslate"><span class="pre">extract_domain()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.extract_domaindata"><code class="docutils literal notranslate"><span class="pre">extract_domaindata()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.filter"><code class="docutils literal notranslate"><span class="pre">filter()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.filter_curvature"><code class="docutils literal notranslate"><span class="pre">filter_curvature()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.get_domain"><code class="docutils literal notranslate"><span class="pre">get_domain()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.get_domain_boundary"><code class="docutils literal notranslate"><span class="pre">get_domain_boundary()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.map_to_domains"><code class="docutils literal notranslate"><span class="pre">map_to_domains()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.maxmin"><code class="docutils literal notranslate"><span class="pre">maxmin()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.mean"><code class="docutils literal notranslate"><span class="pre">mean()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.median"><code class="docutils literal notranslate"><span class="pre">median()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_angles"><code class="docutils literal notranslate"><span class="pre">merge_angles()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_border_length"><code class="docutils literal notranslate"><span class="pre">merge_border_length()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_depth"><code class="docutils literal notranslate"><span class="pre">merge_depth()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_disconnected"><code class="docutils literal notranslate"><span class="pre">merge_disconnected()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_distance"><code class="docutils literal notranslate"><span class="pre">merge_distance()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_engulfing"><code class="docutils literal notranslate"><span class="pre">merge_engulfing()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.merge_small"><code class="docutils literal notranslate"><span class="pre">merge_small()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.minmax"><code class="docutils literal notranslate"><span class="pre">minmax()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.neighbouring_domains"><code class="docutils literal notranslate"><span class="pre">neighbouring_domains()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.relabel"><code class="docutils literal notranslate"><span class="pre">relabel()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.relabel_domains"><code class="docutils literal notranslate"><span class="pre">relabel_domains()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.remove_size"><code class="docutils literal notranslate"><span class="pre">remove_size()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.set_boundary_values"><code class="docutils literal notranslate"><span class="pre">set_boundary_values()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.domains.steepest_ascent"><code class="docutils literal notranslate"><span class="pre">steepest_ascent()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="phenotastic.html#module-phenotastic.mesh">phenotastic.mesh module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.ECFT"><code class="docutils literal notranslate"><span class="pre">ECFT()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.boundary_edges"><code class="docutils literal notranslate"><span class="pre">boundary_edges()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.boundary_points"><code class="docutils literal notranslate"><span class="pre">boundary_points()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.contour"><code class="docutils literal notranslate"><span class="pre">contour()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.correct_bad_mesh"><code class="docutils literal notranslate"><span class="pre">correct_bad_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.correct_normal_orientation"><code class="docutils literal notranslate"><span class="pre">correct_normal_orientation()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.correct_normal_orientation_topcut"><code class="docutils literal notranslate"><span class="pre">correct_normal_orientation_topcut()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.create_cellular_mesh"><code class="docutils literal notranslate"><span class="pre">create_cellular_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.create_mesh"><code class="docutils literal notranslate"><span class="pre">create_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.define_meristem"><code class="docutils literal notranslate"><span class="pre">define_meristem()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.drop_skirt"><code class="docutils literal notranslate"><span class="pre">drop_skirt()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.erode"><code class="docutils literal notranslate"><span class="pre">erode()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.feature_edges"><code class="docutils literal notranslate"><span class="pre">feature_edges()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.fill_beneath"><code class="docutils literal notranslate"><span class="pre">fill_beneath()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.fill_contour"><code class="docutils literal notranslate"><span class="pre">fill_contour()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.fill_inland"><code class="docutils literal notranslate"><span class="pre">fill_inland()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.filter_curvature"><code class="docutils literal notranslate"><span class="pre">filter_curvature()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.fit_paraboloid"><code class="docutils literal notranslate"><span class="pre">fit_paraboloid()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.fit_paraboloid_mesh"><code class="docutils literal notranslate"><span class="pre">fit_paraboloid_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.label_cellular_mesh"><code class="docutils literal notranslate"><span class="pre">label_cellular_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.label_mesh"><code class="docutils literal notranslate"><span class="pre">label_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.make_manifold"><code class="docutils literal notranslate"><span class="pre">make_manifold()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.manifold_edges"><code class="docutils literal notranslate"><span class="pre">manifold_edges()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.non_manifold_edges"><code class="docutils literal notranslate"><span class="pre">non_manifold_edges()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.paraboloid"><code class="docutils literal notranslate"><span class="pre">paraboloid()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.paraboloid_apex"><code class="docutils literal notranslate"><span class="pre">paraboloid_apex()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.process_mesh"><code class="docutils literal notranslate"><span class="pre">process_mesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.project2surface"><code class="docutils literal notranslate"><span class="pre">project2surface()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.remesh"><code class="docutils literal notranslate"><span class="pre">remesh()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.remesh_decimate"><code class="docutils literal notranslate"><span class="pre">remesh_decimate()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.remove_bridges"><code class="docutils literal notranslate"><span class="pre">remove_bridges()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.remove_inland_under"><code class="docutils literal notranslate"><span class="pre">remove_inland_under()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.remove_normals"><code class="docutils literal notranslate"><span class="pre">remove_normals()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.remove_tongues"><code class="docutils literal notranslate"><span class="pre">remove_tongues()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.repair"><code class="docutils literal notranslate"><span class="pre">repair()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.repair_small"><code class="docutils literal notranslate"><span class="pre">repair_small()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.rot_matrix_44"><code class="docutils literal notranslate"><span class="pre">rot_matrix_44()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.smooth_boundary"><code class="docutils literal notranslate"><span class="pre">smooth_boundary()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.vertex_cycles"><code class="docutils literal notranslate"><span class="pre">vertex_cycles()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.vertex_neighbors"><code class="docutils literal notranslate"><span class="pre">vertex_neighbors()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.mesh.vertex_neighbors_all"><code class="docutils literal notranslate"><span class="pre">vertex_neighbors_all()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="phenotastic.html#module-phenotastic.misc">phenotastic.misc module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.angle"><code class="docutils literal notranslate"><span class="pre">angle()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.angle_difference"><code class="docutils literal notranslate"><span class="pre">angle_difference()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.car2sph"><code class="docutils literal notranslate"><span class="pre">car2sph()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.coord_array"><code class="docutils literal notranslate"><span class="pre">coord_array()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.cut"><code class="docutils literal notranslate"><span class="pre">cut()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.divergence_angles"><code class="docutils literal notranslate"><span class="pre">divergence_angles()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.flatten"><code class="docutils literal notranslate"><span class="pre">flatten()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.get_factors"><code class="docutils literal notranslate"><span class="pre">get_factors()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.get_max_contrast_colours"><code class="docutils literal notranslate"><span class="pre">get_max_contrast_colours()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.get_prime_factors"><code class="docutils literal notranslate"><span class="pre">get_prime_factors()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.match_shape"><code class="docutils literal notranslate"><span class="pre">match_shape()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.matching_rows"><code class="docutils literal notranslate"><span class="pre">matching_rows()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.merge"><code class="docutils literal notranslate"><span class="pre">merge()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.mode"><code class="docutils literal notranslate"><span class="pre">mode()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.paraboloid"><code class="docutils literal notranslate"><span class="pre">paraboloid()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.prime_sieve"><code class="docutils literal notranslate"><span class="pre">prime_sieve()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.rand_cmap"><code class="docutils literal notranslate"><span class="pre">rand_cmap()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.reject_outliers"><code class="docutils literal notranslate"><span class="pre">reject_outliers()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.remove_empty_slices"><code class="docutils literal notranslate"><span class="pre">remove_empty_slices()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.rot_matrix_44"><code class="docutils literal notranslate"><span class="pre">rot_matrix_44()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.rotate"><code class="docutils literal notranslate"><span class="pre">rotate()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.sph2car"><code class="docutils literal notranslate"><span class="pre">sph2car()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="phenotastic.html#phenotastic.misc.to_uint8"><code class="docutils literal notranslate"><span class="pre">to_uint8()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="phenotastic.html#module-phenotastic">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div>
    <h4>Previous topic</h4>
    <p class="topless"><a href="usage.html"
                          title="previous chapter">Usage</a></p>
  </div>
  <div>
    <h4>Next topic</h4>
    <p class="topless"><a href="phenotastic.html"
                          title="next chapter">phenotastic package</a></p>
  </div>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/modules.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="phenotastic.html" title="phenotastic package"
             >next</a> |</li>
        <li class="right" >
          <a href="usage.html" title="Usage"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Phenotastic 0.3.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">phenotastic</a></li>
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2018, Henrik Ahl.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 6.1.3.
    </div>
  </body>
</html>
